package com.steerinfo.ems.tprocessinfor.mapper;

import com.steerinfo.ems.tprocessinfor.model.TProcessinfor;
import com.steerinfo.ems.trmworkproc.mapper.TRmWorkprocMapper;
import com.steerinfo.ems.trmworkproc.model.TRmWorkproc;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TProcessinforMapper extends IBaseMapper<TProcessinfor, String> {
    List<TProcessinfor> getTree(Map<String, Object> parameters);
    List<TProcessinfor> getParent();
    Integer getMaxSeqNo();
    List<TProcessinforMapper> getIdAndName(Map<String, Object> parameters);
    List<TProcessinfor> getMenus(String node,String name);
}